# coding: utf-8

from __future__ import absolute_import
from __future__ import division
from __future__ import unicode_literals


def canonical_path(yt_path):
    return yt_path.rstrip('/')


def attribute_path(yt_path, attribute):
    normalized_path = canonical_path(yt_path)
    return '{}/@{}'.format(normalized_path, attribute)
